#include <bits/stdc++.h>
 
 using namespace std;
 
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    
    int n,h;
    cin>>n>>h;
    vector<int>v;
    for(int i=0;i<n;i++){
        int a;
        cin>>a;
        v.push_back(a);
    }

    int s=-1;
    for(int i=0;i<n;i++){
        if(h>=v[i]){
            s=i+1;
            break;
        }
        
    }
    cout<<s<<endl;
    return 0;
}